OUTPUT_FORMAT("coff-h8300")
OUTPUT_ARCH(h8300h)
ENTRY("_start")
MEMORY
{
  vectors(r)  : o = 0x000000, l = 0x000100
  rom(rx)     : o = 0x000100, l = 0x07FF00
  ram(rwx)    : o = 0xFFBF20, l = 0x004000
  stack(rw)   : o = 0xFFFF00, l = 0x000004
}

SECTIONS
{
 .vectors : {
 } > vectors

 .text : {
  _stext = .;
  *(.text)
  *(.rodata*)
  *(.strings*)
  _etext = . ;
 } > rom

 /* .dataROMɂzu .texť납zu*/
 .data : AT (ADDR(.text)+SIZEOF(.text))
 {
  _sdata = . ;
  *(.data)
  _edata = . ;
 } > ram

 .bss : {
  *(.bss)
 } > ram

 .stack : {
   _stack = . ;
  *(.stack)
 } > stack

}
