/*
 *  TOPPERS/JSP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Just Standard Profile Kernel
 * 
 *  Copyright (C) 2000-2004 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2001-2007 by Industrial Technology Institute,
 *                              Miyagi Prefectural Government, JAPAN
 *  Copyright (C) 2001-2004 by Dep. of Computer Science and Engineering
 *                   Tomakomai National College of Technology, JAPAN
 *  Copyright (C) 2001-2004 by Kunihiko Ohnaka
 * 
 *  嵭Ԥϡʲ (1)(4) ξ狼Free Software Foundation 
 *  ˤäƸɽƤ GNU General Public License  Version 2 ˵
 *  ҤƤ˸¤ꡤܥեȥܥեȥ
 *  ѤΤޤࡥʲƱˤѡʣѡۡʰʲ
 *  ѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơŬѲǽ
 *  ޤơʤݾڤԤʤޤܥեȥѤˤľ
 *  ŪޤϴŪʤ»˴ؤƤ⡤Ǥʤ
 * 
 *  @(#) $Id: vector_header.S,v 1.4 2007/03/23 07:22:15 honda Exp $
 */

#define _MACRO_ONLY
#include "jsp_kernel.h"		/*  ܥ롦͡  */


/*
 * ߥ٥ơ֥Ƭʬ
 *	ơ֥Ƥmake depend˼ư
 */

	.h8300h

	.section	.vectors
	.align 4

	.global _vector
_vector:

/*  ʹߤϼư줿ʬ  */

	.long _start		/* 0(0x00) */
	.long _no_reg_exception		/* 1(0x01) */
	.long _no_reg_exception		/* 2(0x02) */
	.long _no_reg_exception		/* 3(0x03) */
	.long _no_reg_exception		/* 4(0x04) */
	.long _no_reg_exception		/* 5(0x05) */
	.long _no_reg_exception		/* 6(0x06) */
	.long _no_reg_exception		/* 7(0x07) */
	.long _no_reg_exception		/* 8(0x08) */
	.long _no_reg_exception		/* 9(0x09) */
	.long _no_reg_exception		/* 10(0x0a) */
	.long _no_reg_exception		/* 11(0x0b) */
	.long _no_reg_exception		/* 12(0x0c) */
	.long _no_reg_exception		/* 13(0x0d) */
	.long _no_reg_exception		/* 14(0x0e) */
	.long _no_reg_exception		/* 15(0x0f) */
	.long _no_reg_exception		/* 16(0x10) */
	.long _no_reg_exception		/* 17(0x11) */
	.long _no_reg_exception		/* 18(0x12) */
	.long _no_reg_exception		/* 19(0x13) */
	.long _no_reg_exception		/* 20(0x14) */
	.long _no_reg_exception		/* 21(0x15) */
	.long _no_reg_exception		/* 22(0x16) */
	.long _no_reg_exception		/* 23(0x17) */
	.long __kernel_timer_handler_entry		/* 24(0x18) */
	.long _no_reg_exception		/* 25(0x19) */
	.long _no_reg_exception		/* 26(0x1a) */
	.long _no_reg_exception		/* 27(0x1b) */
	.long _no_reg_exception		/* 28(0x1c) */
	.long _no_reg_exception		/* 29(0x1d) */
	.long _no_reg_exception		/* 30(0x1e) */
	.long _no_reg_exception		/* 31(0x1f) */
	.long _no_reg_exception		/* 32(0x20) */
	.long _no_reg_exception		/* 33(0x21) */
	.long _no_reg_exception		/* 34(0x22) */
	.long _no_reg_exception		/* 35(0x23) */
	.long _no_reg_exception		/* 36(0x24) */
	.long _no_reg_exception		/* 37(0x25) */
	.long _no_reg_exception		/* 38(0x26) */
	.long _no_reg_exception		/* 39(0x27) */
	.long _no_reg_exception		/* 40(0x28) */
	.long _no_reg_exception		/* 41(0x29) */
	.long _no_reg_exception		/* 42(0x2a) */
	.long _no_reg_exception		/* 43(0x2b) */
	.long _no_reg_exception		/* 44(0x2c) */
	.long _no_reg_exception		/* 45(0x2d) */
	.long _no_reg_exception		/* 46(0x2e) */
	.long _no_reg_exception		/* 47(0x2f) */
	.long _no_reg_exception		/* 48(0x30) */
	.long _no_reg_exception		/* 49(0x31) */
	.long _no_reg_exception		/* 50(0x32) */
	.long _no_reg_exception		/* 51(0x33) */
	.long _no_reg_exception		/* 52(0x34) */
	.long __kernel_sio_in2_handler_entry		/* 53(0x35) */
	.long __kernel_sio_out2_handler_entry		/* 54(0x36) */
	.long _no_reg_exception		/* 55(0x37) */
	.long _no_reg_exception		/* 56(0x38) */
	.long __kernel_sio_in_handler_entry		/* 57(0x39) */
	.long __kernel_sio_out_handler_entry		/* 58(0x3a) */
	.long _no_reg_exception		/* 59(0x3b) */
	.long _no_reg_exception		/* 60(0x3c) */
	.long _no_reg_exception		/* 61(0x3d) */
	.long _no_reg_exception		/* 62(0x3e) */
	.long _no_reg_exception		/* 63(0x3f) */
