/******************************************************/
/* H8 ChroQ Sample Program                          */
/*                                                    */
/******************************************************/

#include "header.h"

//debugɂSERIAL_DEBUG1 DEBUG1DEBUG21ɑI
#define SERIAL_DEBUG 0
#define DEBUG1 0
#define DEBUG2 0

//H8MSP430ЂƂ̊ɎƂ0
#define ONLY_H8_MODE   0

#define INST_FORWARD    'w'
#define INST_BACK       'z'
#define INST_LEFT       'a'
#define INST_RIGHT      's'
#define INST_D_F        'r'
#define INST_D_B        'c'
#define NONE            '@'

void init(void);
void getAdValue(int* x, int* y, int* z);
char getInstruction(int x, int y, int z);
void sendInstruction(char instruction);
void sendString(char *str);
void intToStringAD(int data);
int warizan(int* data,int waru);


int main(void){

	int x, y, z;
	int count;
	count = 0;

	char compareInstruction = NONE;
	char doingInstruction   = NONE;
	char preInstruction     = NONE;

	init();

	while(1){
		//xZT̒l擾
		getAdValue(&x, &y, &z);
		//xZT̒lɉ߂ɕϊ
		doingInstruction = getInstruction(x,y,z);

		// ߂5000񗈂VArAwAsAâꂩ̖߂𑗐M܂B
		// 2Ar߂𑗐Mۂ́Ar߂͑M܂B
		// (MSP430Ŗ߂͖[vɂȂĂ邽)

#if SERIAL_DEBUG
		if(doingInstruction != NONE) sendInstruction(doingInstruction);
#else

		// 1O̖߂ƓcountCNg
		if(compareInstruction == doingInstruction){
			count++;
		// 1O̖߂ƈقȂĂcountAcompareInstructionݒ肵
		} else {
			compareInstruction = doingInstruction;
			count = 0;
		}

		// ߂5000񗈂܂őҋ@
		if(count >= 5000){
			// O񑗐M߂ƌݑM悤ƂĂ閽߂قȂĂ疽߂𑗂
			if(preInstruction != compareInstruction){
				//߂𑗂
				sendInstruction(compareInstruction);
				// O񑗐M߂ۑ
				preInstruction = compareInstruction;
				count = 0;
			}
		}//end of if(count >= 5000)
#endif

	}//end of while(1)

	return 0;
}

void init(void){

	int i;

	//============== AD̏==================//
	// 8bitoX[hɐݒ
	
	ABWCR.BYTE = 0xFF;
	
	//====================
	// ABWCR fee020h bus width control register
	//=====================
	// 1111 1111b 0xff
	// 1~~~ ~~~~  (ABW7)
	// ~1~~ ~~~~  (ABW6)
	// ~~1~ ~~~~  (ABW5)
	// ~~~1 ~~~~  (ABW4)
	// ~~~~ 1~~~  (ABW3)
	// ~~~~ ~1~~  (ABW2)
	// ~~~~ ~~1~  (ABW1)
	// ~~~~ ~~~1  (ABW0)

	// |[g4o͂ɐݒ
	P4DDR.BYTE = 0xFF;

	// A/Dϊ̐ݒ
	ADCSR.BIT.SCAN = 0;
	ADCSR.BIT.ADIE = 0;
	ADCSR.BIT.CH = 0;
	
	//====================
	// ADCSR ffffe8h A/D control and status register
	//=====================
	// 0000 0000b 0x0
	// 0~~~ ~~~~  (ADF) A/DϊItO
	// ~0~~ ~~~~  (ADIE)  A/DϊI荞݂̔Ȃ
	// ~~0~ ~~~~  (ADST)  A/Dϊ̒~
	// ~~~0 ~~~~  (SCAN)  XL[hɐݒ
	// ~~~~ 0~~~  (CKS) A/Dϊ 134 state
	// ~~~~ ~000  (CH)  A/Dϊ̓̓`lݒ

#if ONLY_H8_MODE
	//================== SCI1̏ =======================//
	// SCI1Rg[WX^
	SCI1.SCR.BYTE = 0x00;
	
	//====================
	// SCI1.SCR ffffbah serial control register
	//=====================
	// 0000 0000b 0x0

	// SCI1ݒ背WX^
	SCI1.SMR.BYTE = 0x00;
	
	//====================
	// SCI1.SMR ffffb8h serial mode register
	//=====================
	// 0000  0000b  0x30
	// 0~~~ ~~~~  (C/~A)  asynchronous communication mode
	// ~0~~ ~~~~  (CHR) f[^8bitɐݒ
	// ~~0~ ~~~~  (PE)  additional parity disable
	// ~~~0 ~~~~  (O/~E)  use even number parity
	// ~~~~ 0~~~  (STOP)  stop bit length 1
	// ~~~~ ~0~~  (MP)  Multi-Processer disable
	// ~~~~ ~~00  (CKS) baudrate generator clock source 


	// SC1M̃rbg[gݒ
	SCI1.BRR = 129;
	
	//====================
	// SCI1.BRR ffffb9h serial bit rate register
	//=====================
	// 4800bps

	// ҋ@
	for(i = 0 ; i < 1000 ; i++);

	// SCI1̑M
	SCI1.SCR.BYTE = 0x30;
	
	//====================
	// SCI1.SCR ffffbah serial control register
	//=====================
	// 0011 0000b 0x30
	// 0~~~ ~~~~  (TIE) TX-Interrupt disable
	// ~0~~ ~~~~  (RIE) RX-Interrupt and ER-Interrupt disable
	// ~~1~ ~~~~  (TE)  M
	// ~~~1 ~~~~  (RE)  M
	// ~~~~ 0~~~  (MPIE)  Multi-Processer-Interrupt disable
	// ~~~~ ~0~~  (TEIE)  Transmit-End-Interrupt disable
	// ~~~~ ~~00  (CKE) select clock source

	// SCI1̓Ԃ\
	SCI1.SSR.BYTE &= 0x80;
	
	//====================
	// SCI1.SSR ffffbch serial status register
	//=====================
	// 1000 0000b 0x80  
	// 1~~~ ~~~~  (TDRE)  TDRɃf[^Cg\łƂON
	// ~0~~ ~~~~  (RDRF)
	// ~~0~ ~~~~  (ORER)
	// ~~~0 ~~~~  (FER/ERS)
	// ~~~~ 0~~~  (PER)
	// ~~~~ ~0~~  (TEND)
	// ~~~~ ~~0~  (MPB)
	// ~~~~ ~~~0  (MPBT)
#else
	/****************** SCI2̐ݒ ***************************/
	// SCI2Rg[WX^
	SCI2.SCR.BYTE = 0x00;
	// SCI2ݒ背WX^
	SCI2.SMR.BYTE = 0x00;
	// SC2M̃rbg[gݒ
	SCI2.BRR = 129;

	for(i = 0 ; i < 1000 ; i++);

	// SCI2̑M
	SCI2.SCR.BYTE = 0x30; 
	// SCI1̓Ԃ\
	SCI2.SSR.BYTE &= 0x80;

	/****************** SCI2̐ݒI *********************/
#endif


}

void getAdValue(int* x, int* y, int* z){

	int i;
	int ad[3];

	for(i=0; i < 3; i++){

		// A/Dϊ~
		ADCSR.BIT.ADST = 0;

		//====================
		// ADCSR ffffe8h A/D control and status register
		//=====================
		// 0000 0000b 0x0
		// 0~~~ ~~~~  (ADF)
		// ~0~~ ~~~~  (ADIE)
		// ~~0~ ~~~~  (ADST)  A/Dϊ~
		// ~~~0 ~~~~  (SCAN)
		// ~~~~ 0~~~  (CKS)
		// ~~~~ ~000  (CH)

		// ̓`lύX
		ADCSR.BIT.CH = (char)i;

		//====================
		// ADCSR ffffe8h A/D control and status register
		//=====================
		// 0000 0***b
		// 0~~~ ~~~~  (ADF)
		// ~0~~ ~~~~  (ADIE)
		// ~~0~ ~~~~  (ADST)
		// ~~~0 ~~~~  (SCAN)
		// ~~~~ 0~~~  (CKS)
		// ~~~~ ~***  (CH)  ̓`lݒ

		// A/DϊJn
		ADCSR.BIT.ADST = 1;

		//====================
		// ADCSR ffffe8h A/D control and status register
		//=====================
		// 0010 0***b
		// 0~~~ ~~~~  (ADF)
		// ~0~~ ~~~~  (ADIE)
		// ~~1~ ~~~~  (ADST)  A/DϊJn
		// ~~~0 ~~~~  (SCAN)
		// ~~~~ 0~~~  (CKS)
		// ~~~~ ~***  (CH)

		// A/DϊI܂őҋ@
		while(ADCSR.BYTE < 0x80);
		
		//====================
		// ADCSR ffffe8h A/D control and status register
		//=====================
		// 0010 0***b
		// 1~~~ ~~~~  (ADF) A/DϊIɃZbg
		// ~0~~ ~~~~  (ADIE)
		// ~~0~ ~~~~  (ADST)  A/DϊIɃZbg
		// ~~~0 ~~~~  (SCAN)
		// ~~~~ 0~~~  (CKS)
		// ~~~~ ~***  (CH)

		// A/Dϊꂽf[^擾
		if(i == 0) ad[i] = ADDRA.WORD >> 6;
		if(i == 1) ad[i] = ADDRB.WORD >> 6;
		if(i == 2) ad[i] = ADDRC.WORD >> 6;

		//====================
		// ADDRn A/D data register
		//=====================
		// **** **** **xx xxxxb
		// **** **** **~~ ~~~~  (AD)    A/Dϊꂽf[^
		// ~~~~ ~~~~ ~~xx xxxx  (Reserved)
	}//end of for

	*x = ad[0];
	*y = ad[1];
	*z = ad[2];
}

char getInstruction(int x, int y, int z){

	//ꎞϐɊi[
	int bufx,bufy,bufz;
	bufx=x;
	bufy=y;
	bufz=z;

#if DEBUG1
	//xZTlo͂
	sendString("x=");
	intToStringAD(bufx);
	sendString("y=");
	intToStringAD(bufy);
	sendString("z=");
	intToStringAD(bufz);
	return 0;
#endif

	//1:Oi  0:̂܂ -1:
	int accel = 0;
	//1: 0:i -1:E
	int steer = 0;

	//OiAށÂ܂
	if( bufx < 460){
		accel=1;
	}else if( bufx > 700){
		accel=-1;
	}else{
		accel=0;  
	}
	//AEÂ܂
	if( bufy < 450){
		steer=1;
	}else if( bufy > 600){
		steer=-1;
	}else{
		steer=0;
	}

	if(accel == 1){
		if(steer == 1){

#if DEBUG2
			sendString("LEFT");
#else
			return INST_LEFT;
#endif

		}else if(steer == -1){

#if DEBUG2
			sendString("LEGHT");
#else
			return INST_RIGHT;
#endif

		}else{

#if DEBUG2
			sendString("DUSH");
#else
			return INST_D_F;
#endif
		}
	}else if(accel == -1){

#if DEBUG2
		sendString("BACK");
#else
		return INST_BACK;
#endif
	}

	return NONE;

}



void sendInstruction(char instruction){

#if ONLY_H8_MODE
	//Mf[^܂ŃEFCg
	//Mf[^ȂȂƂPɂȂĎ֐i
	while(SCI1.SSR.BIT.TDRE == 0);
	
	//====================
	// SCI1.SSR ffffbch serial status register
	//=====================
	// 1000 0000b 0x80
	// 1~~~ ~~~~  (TDRE)  TDRɃf[^Cg\ɂȂƂZbg
	// ~0~~ ~~~~  (RDRF)  
	// ~~0~ ~~~~  (ORER)
	// ~~~0 ~~~~  (FER/ERS)
	// ~~~~ 0~~~  (PER)
	// ~~~~ ~0~~  (TEND)
	// ~~~~ ~~0~  (MPB)
	// ~~~~ ~~~0  (MPBT)

	//Mf[^1Zbg
	SCI1.TDR = instruction;
	
	//====================
	// SCI1.TDR ffffbbh serial transmit data register
	//=====================
	// Mf[^i[

	//MtÕNA
	SCI1.SSR.BIT.TDRE = 0;
	
	//====================
	// SCI1.SSR ffffbch serial status register
	//=====================
	// 0000 0000b 0x80
	// 0~~~ ~~~~  (TDRE)  ZbgƒʐMJn
	// ~0~~ ~~~~  (RDRF)  
	// ~~0~ ~~~~  (ORER)
	// ~~~0 ~~~~  (FER/ERS)
	// ~~~~ 0~~~  (PER)
	// ~~~~ ~0~~  (TEND)
	// ~~~~ ~~0~  (MPB)
	// ~~~~ ~~~0  (MPBT)
#else
	//Mf[^܂ŃEFCg
	//Mf[^ȂȂƂPɂȂĎ֐i
	while(SCI2.SSR.BIT.TDRE == 0);
	
	SCI2.TDR = instruction;
	//MtÕNA
	SCI2.SSR.BIT.TDRE = 0;
	//MtÕNA
	SCI2.SSR.BIT.TDRE = 0;
#endif

}


/*******************************************/
/* fobOp֐                  */
/*******************************************/
void sendString(char *str){
	while( *str != '\0' ){
		sendInstruction(*str);
		str++;
	}
}

void intToStringAD(int data){
	int sen;
	int hyaku;
	int zyu;
	int iti;
	char mozi[7];

	sen=warizan(&data,1000);
	hyaku=warizan(&data,100);
	zyu=warizan(&data,10);
	iti=data;

	mozi[0]=0x30+sen;
	mozi[1]=0x30+hyaku;
	mozi[2]=0x30+zyu;
	mozi[3]=0x30+iti;
	mozi[4]='\r';
	mozi[5]='\n';
	mozi[6]='\0';

	sendString(mozi);
}

int warizan(int* data,int waru){
	int count=0;
	while(1){
		*data = *data - waru;
		count++;
		if(*data < waru) break;
	}

	if(*data < 0){
		count--;
		*data=*data+waru;
	}

	return count;
}

/******** ܂ŃfobOp ********/
