/******************************************************/
/* H8 Chro-Q Sample Program For Toppers               */
/*                                                    */
/******************************************************/

#include "main.h"

#include "kernel_id.h"

#include "dev_acceleration_sensor.h"
#include "dev_serial.h"

//xZT̎擾l
UH value_x = 0;
UH value_y = 0;
UH value_z = 0;

char getInstruction(UH x, UH y, UH z){
	
	// 1:Oi	0:̂܂	-1:
	B accel = 0;
	// 1:		0:i		-1:E
	B steer = 0;
	
	//OiAށÂ܂
	if(x < 450){
		accel = 1;
	} else if(x > 600){
		accel = -1;
	} else{
		accel = 0;
	}
	
	//AEÂ܂
	if(y < 450){
		steer = 1;
	} else if(y > 600){
		steer = -1;
	} else{
		steer = 0;
	}
	
	if(accel == 1){
		if(steer == 1){
			return LEFT;
		} else if(steer == -1){
			return RIGHT;
		} else{
			return DASH_FOWARD;
		}
	} else if(accel == -1){
		return BACK;
	} else{
		return NONE;
	}
	
}

void sendInstruction(char instruction){
	
	//߂𑗐M
	serial_tx_char(instruction);
	
}

void acceleration_handler(VP_INT exinf)
{
	//xZT̒l擾
	acceleration_sensor_get_value(&value_x, &value_y, &value_z);
}

void main_task(VP_INT exinf)
{
	char instruction;
	char preInstruction;
	char preSendInstruction;
	
	//foCXhCȍ
	acceleration_sensor_init();
	serial_init();

	//xZT̊ĎJn
	sta_cyc(AC_HANDLER);
	
	// C[v
	while(TRUE){
		
		//xZT̎擾l𖽗߂ɕϊ
		instruction = getInstruction(value_x, value_y, value_z);
		
		if(instruction != preInstruction && instruction != NONE){
			//1O̖߂ƈقȂꍇA߂𑗐M
			sendInstruction(instruction);
			preInstruction = instruction;
		}
		
	}//while(TRUE)
	
	slp_tsk();
	
}

