/******************************************************/
/* H8 LED Sample Program                              */
/*                                                    */
/******************************************************/

#include "header.h"

void init(void);
void init_timer8(void);
void call_cmiab1(void);

int st_data1;
int st_data2=0x12345678;

int main(void){
	
	// p_~[R[h
	static int st_data3=200;
	int lo_data1=300;
	
	lo_data1=st_data3;
	// 
	init();
	
	// 荞݂
	E_INT();
		
	// C[v
	while(1);
	
	return 0;
}

//
// 8rbg^C}[i1sj
//
void init_timer8(void)
{
	T8.T8TCR0.BIT.CKS   = 0;	// NbNꎞ~
	T8.T8TCR0.BIT.CMIEB = 0;	// CMFBɂ銄荞݋֎~
	T8.T8TCR0.BIT.CMIEA = 0;	// CMFAɂ銄荞݋֎~
	T8.T8TCR0.BIT.OVIE  = 0;	// OVFɂ銄荞݋֎~
	T8.T8TCR0.BIT.CCLR  = 1;	// RyA}b`AŃNA
	
	T8.T8TCR1.BIT.CKS   = 4;	// 8TCNT0RyA}b`AŃJEg
	T8.T8TCR1.BIT.CMIEB = 0;	// CMFBɂ銄荞݋֎~
	T8.T8TCR1.BIT.CMIEA = 1;	// CMFAɂ銄荞݋
	T8.T8TCR1.BIT.OVIE  = 0;	// OVFɂ銄荞݋֎~
	T8.T8TCR1.BIT.CCLR  = 1;	// RyA}b`AŃNA
	
	T8.T8TCSR0.BYTE	 = 0;	// NA
	T8.T8TCSR1.BYTE	 = 0;	// NA
	
	T8.T8TCNT = 0;				// JE^NA
	T8.BYTE.T8TCORA0 = 243;			// 20,000,000 / 8192 / 244 = 10.0058
	T8.BYTE.T8TCORA1 = 9;			// 10.0058 / 10 = 1Hz (1s)
	
	T8.T8TCR0.BIT.CKS	 = 3;	// NbN20MHz /8192
}



void init(void)
{
	// GA7-08bitoX[hɐݒ
	ABWCR.BYTE = 0xFF;
	//====================
	// ABWCR fee020h bus width control register
	//=====================
	// 1111 1111b 0xff
	// 1~~~ ~~~~  (ABW7)
	// ~1~~ ~~~~  (ABW6)
	// ~~1~ ~~~~  (ABW5)
	// ~~~1 ~~~~  (ABW4)
	// ~~~~ 1~~~  (ABW3)
	// ~~~~ ~1~~  (ABW2)
	// ~~~~ ~~1~  (ABW1)
	// ~~~~ ~~~1  (ABW0)

	// |[g4o͂ɐݒ
	P4DDR.BYTE = 0xFF;
	//====================
	// H8P4DDR fee003h Port 4 data direction register
	//=====================
	// 1111 1111b 0xff
	// 1~~~ ~~~~  (P4.7DDR) OUT
	// ~1~~ ~~~~  (P4.6DDR) OUT
	// ~~1~ ~~~~  (P4.5DDR) OUT
	// ~~~1 ~~~~  (P4.4DDR) OUT
	// ~~~~ 1~~~  (P4.3DDR) OUT
	// ~~~~ ~1~~  (P4.2DDR) OUT
	// ~~~~ ~~1~  (P4.1DDR) OUT
	// ~~~~ ~~~1  (P4.0DDR) OUT
	
	// GA4Port61o͂
	P4DR.BIT.P6 = 1;
	// GA4Port70o͂
	P4DR.BIT.P7 = 0;

	//====================
	// H8P4DR ffffd3h Port 4 data register
	//=====================
	// 0100 0000b 0x40
	// 0~~~ ~~~~  (P4.7)
	// ~1~~ ~~~~  (P4.6) ԐFLED_
	// ~~0~ ~~~~  (P4.5)
	// ~~~0 ~~~~  (P4.4)
	// ~~~~ 0~~~  (P4.3)
	// ~~~~ ~0~~  (P4.2)
	// ~~~~ ~~0~  (P4.1)
	// ~~~~ ~~~0  (P4.0)
	

	//================== ^C}̏ =======================//
	init_timer8();
}


// 8rbg^C}[`l0
// RyA}b`A1/B1荞
#pragma interrupt
void call_cmiab1(void){
	T8.T8TCSR1.BIT.CMFA &= 0;	// RyA}b`tOANA
	
	P4DR.BIT.P6 ^= 1;
	P4DR.BIT.P7 ^= 1;
}
