/******************************************************/
/* H8 LED Sample Program For UITRON                   */
/*                              LED̃foCXhCo */
/*                                                    */
/******************************************************/

#include "dev_led.h"

inline ER led_init(void)
{
	//|[g4o͂ɐݒ
	sil_wrb_mem((VP)LED_DDR, LED_DDR_INIT);
		//====================
		// H8P4DDR fee003h Port 4 data direction register
		//=====================
		// 1111 1111b 0xff
		// 1~~~ ~~~~  (P4.7DDR) OUT
		// ~1~~ ~~~~  (P4.6DDR) OUT
		// ~~1~ ~~~~  (P4.5DDR) OUT
		// ~~~1 ~~~~  (P4.4DDR) OUT
		// ~~~~ 1~~~  (P4.3DDR) OUT
		// ~~~~ ~1~~  (P4.2DDR) OUT
		// ~~~~ ~~1~  (P4.1DDR) OUT
		// ~~~~ ~~~1  (P4.0DDR) OUT
	
	return E_OK;
}

inline ER led_light_up(UB color)
{
	//LED_
	switch(color){
	case LED_BLUE:
		sil_wrb_mem((VP)LED_DR, LED_DR_BLUE);	// FLED̓_
			//====================
			// H8P4DR ffffd3h Port 4 data register
			//=====================
			// 1000 0000b 0x80
			// 1~~~ ~~~~  (P4.7) FLED_
			// ~0~~ ~~~~  (P4.6)
			// ~~0~ ~~~~  (P4.5)
			// ~~~0 ~~~~  (P4.4)
			// ~~~~ 0~~~  (P4.3)
			// ~~~~ ~0~~  (P4.2)
			// ~~~~ ~~0~  (P4.1)
			// ~~~~ ~~~0  (P4.0)
		break;
	case LED_RED:
		sil_wrb_mem((VP)LED_DR, LED_DR_RED);	// ԐFLED̓_
			//====================
			// H8P4DR ffffd3h Port 4 data register
			//=====================
			// 0100 0000b 0x40
			// 0~~~ ~~~~  (P4.7)
			// ~1~~ ~~~~  (P4.6) ԐFLED_
			// ~~0~ ~~~~  (P4.5)
			// ~~~0 ~~~~  (P4.4)
			// ~~~~ 0~~~  (P4.3)
			// ~~~~ ~0~~  (P4.2)
			// ~~~~ ~~0~  (P4.1)
			// ~~~~ ~~~0  (P4.0)
		break;
	default:
		//ԈĂꍇReLXgG[Ԃ
		return E_CTX;
	}
	
	return E_OK;
}

